Package org.apache.catalina.valves.rewrite

## Class RandomizedTextRewriteMap

- java.lang.Object
- - org.apache.catalina.valves.rewrite.RandomizedTextRewriteMap

All Implemented Interfaces:
  `RewriteMap`

    public class RandomizedTextRewriteMap
    extends java.lang.Object
    implements RewriteMap

Implement a map for the txt: and rnd: mod_rewrite capabilities.

### Field Summary

Fields
`protected static StringManager` `sm`

### Constructor Summary

Constructors
`RandomizedTextRewriteMap​(java.lang.String txtFilePath, boolean useRandom)` Create a map from a text file according to the mod_rewrite syntax.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `lookup​(java.lang.String key)`
`java.lang.String` `setParameters​(java.lang.String params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

### Constructor Detail

#### RandomizedTextRewriteMap

    public RandomizedTextRewriteMap​(java.lang.String txtFilePath,
                                    boolean useRandom)

Create a map from a text file according to the mod_rewrite syntax.

Parameters:
  `txtFilePath` - the text file path
  `useRandom` - if the map should produce random results

### Method Detail

#### setParameters

    public java.lang.String setParameters​(java.lang.String params)

Specified by:
  `setParameters` in interface `RewriteMap`

#### lookup

    public java.lang.String lookup​(java.lang.String key)

Specified by:
  `lookup` in interface `RewriteMap`